# coding: utf-8

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'merritt/manifest/module_info'
require 'uri'

Gem::Specification.new do |spec|
  spec.name          = Merritt::Manifest::NAME
  spec.version       = Merritt::Manifest::VERSION
  spec.authors       = ['David Moles']
  spec.email         = ['david.moles@ucop.edu']
  spec.summary       = 'Merritt manifest generation library'
  spec.description   = 'A library for creating Merritt text-based manifests (a specialization of the Checkm text-based manifest format).'
  spec.license       = 'MIT'

  origin = `git config --get remote.origin.url`.chomp
  origin_uri = origin.start_with?('http') ? URI(origin) : URI(origin.gsub(%r{git@([^:]+)(.com|.org)[^\/]+}, 'http://\1\2'))
  spec.homepage = URI::HTTP.build(host: origin_uri.host, path: origin_uri.path.chomp('.git')).to_s

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }

  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_dependency 'mime-types', '~> 3.1'
  spec.add_dependency 'typesafe_enum', '~> 0.1.7'

  spec.add_development_dependency 'bundler', '~> 1.14'
  spec.add_development_dependency 'rake', '~> 12.0'
  spec.add_development_dependency 'rspec', '~> 3.5'
  spec.add_development_dependency 'simplecov', '~> 0.14'
  spec.add_development_dependency 'simplecov-console', '~> 0.4'
  spec.add_development_dependency 'rubocop', '~> 0.47'
  spec.add_development_dependency 'yard', '~> 0.9'
end
